Package org.gradle.plugins.ear.descriptor

## Interface EarWebModule

- All Superinterfaces:
    `EarModule`

      public interface EarWebModule
      extends EarModule

  A module element in a deployment descriptor like application.xml that has a web child element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContextRoot()` | The context-root element specifies the context root of a web application.
    `void` | `setContextRoot​(java.lang.String contextRoot)` |

    - ### Methods inherited from interface org.gradle.plugins.ear.descriptor.EarModule

      `getAltDeployDescriptor, getPath, setAltDeployDescriptor, setPath, toXmlNode`

- - ### Method Detail

    - #### getContextRoot

          java.lang.String getContextRoot()

      The context-root element specifies the context root of a web application.

    - #### setContextRoot

          void setContextRoot​(java.lang.String contextRoot)